Saltar al contenido principal

Transaction

2 endpoints

GET /users/{user}/wallets/{wallet}/transactions List all transactions

List all existing transactions for a specific user and wallet. Admin audience is required to list all transactions for all users with userId=* and walletId=*.

Parameters

user required
string · path
id parameter must be included in the URI
wallet required
string · path
id parameter must be included in the URI
txLog
string · query
Identifier of operation
symbol
string · query
Transaction status
assetId
string · query
Asset Id type
movementSubtype
string (enum) · query
Transaction movement subtype
movement
string (enum) · query
Transaction movement type
status
string (enum) · query
Transaction status
page
number · query
Page number of the records list
limit
number · query
Max number of records by page. limit=0 to return all records
sort
string · query
Sort the response PARAM or -PARAM
createdAfter
string · query
Created after date
createdBefore
string · query
Created before date

Responses

200
400 Bad request
401 Unauthorized
404 Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/transactions
Response 200
[
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"status": "approved",
"amount": "10.000001",
"sender": {
"walletId": "string",
"address": "1KUEUVh45uK6m83L4LTNF9D4Txi7KSEBxx",
"walletBalance": "10.000001",
"userId": "gbU79uBYB"
},
"receiver": {},
"type": "real",
"movement": "income",
"rates": {
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"asset": {
"id": "...",
"createdAt": "...",
"updatedAt": "...",
"name": "...",
"symbol": "..."
},
"fiatPrice": 10
},
"asset": {},
"txHash": "string"
}
]
GET /users/{user}/wallets/{wallet}/transactions/{transaction} Find a transaction by id

Find an existing transaction by its id.

Parameters

user required
string · path
id parameter must be included in the URI
wallet required
string · path
id parameter must be included in the URI
transaction required
string · path
id parameter must be included in the URI

Responses

200
401 Unauthorized
404 Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}/transactions/{transaction}
Response 200
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"status": "approved",
"amount": "10.000001",
"sender": {
"walletId": "string",
"address": "1KUEUVh45uK6m83L4LTNF9D4Txi7KSEBxx",
"walletBalance": "10.000001",
"userId": "gbU79uBYB"
},
"receiver": {},
"type": "real",
"movement": "income",
"rates": {
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"asset": {
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"name": "Bitcoin",
"symbol": "BTC"
},
"fiatPrice": 10
},
"asset": {},
"txHash": "string"
}